%define upstream_name    Text-Table
%define upstream_version 1.130

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Organize Data in Tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Aligner) >= 0.50.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Text::Aligner\\)$

%description
Organization of data in table form is a time-honored and useful method of
data representation. While columns of data are trivially generated by
computer through formatted output, even simple tasks like keeping titles
aligned with the data columns are not trivial, and the one-shot solutions
one comes up with tend to be particularly hard to maintain. Text::Table
allows you to create and maintain tables that adapt to alignment
requirements as you use them.

Overview
    The process is simple: you create a table (a Text::Table object) by
    describing the columns the table is going to have. Then you load lines
    of data into the table, and finally print the resulting output lines.
    Alignment of data and column titles is handled dynamically in
    dependence on the data present.

Table Creation
    In the simplest case, if all you want is a number of (untitled)
    columns, you create an unspecified table and start adding data to it.
    The number of columns is taken fronm the first line of data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.130.0-7.mga6
+ Revision: 1035145
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.130.0-6.mga6
+ Revision: 949477
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.130.0-5.mga5
+ Revision: 789691
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 740561
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.130.0-3.mga5
+ Revision: 736102
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-2.mga5
+ Revision: 686653
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.130.0-1.mga5
+ Revision: 615023
- update to 1.130

* Mon Feb 10 2014 jquelin <jquelin> 1.129.0-1.mga5
+ Revision: 588731
- update to 1.129

* Sat Oct 19 2013 umeabot <umeabot> 1.127.0-2.mga4
+ Revision: 527412
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.127.0-1.mga4
+ Revision: 440014
- update to 1.127

* Sun Jan 13 2013 umeabot <umeabot> 1.126.0-2.mga3
+ Revision: 374194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.126.0-1.mga3
+ Revision: 298115
- update to 1.126

* Wed Sep 05 2012 kharec <kharec> 1.125.0-1.mga3
+ Revision: 288549
- update to 1.125

* Fri Oct 14 2011 jquelin <jquelin> 1.124.0-1.mga2
+ Revision: 154895
- update to 1.124

* Wed Jun 15 2011 jquelin <jquelin> 1.123.0-1.mga2
+ Revision: 107489
- update to 1.123

* Fri Jan 21 2011 jquelin <jquelin> 1.116.0-1.mga1
+ Revision: 29214
- mageia rebuild
- imported package perl-Text-Table

